Verify a Cloudflare token
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify"
payload = { "api_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_token: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_token": "<string>"
}
'{
"status": "<string>",
"is_active": true,
"zone_count": 123,
"zone_names": [
"<string>"
],
"token_id": "<string>",
"expires_on": "<string>",
"account_id": "<string>",
"account_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Cloudflare
Verify a Cloudflare token
Checks a Cloudflare API token and reports the account and domains it reaches, without storing it. Organisation admins only.
POST
/
api
/
v1
/
org
/
cloudflare
/
credentials
/
verify
Verify a Cloudflare token
import requests
url = "https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify"
payload = { "api_token": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({api_token: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/cloudflare/credentials/verify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"api_token": "<string>"
}
'{
"status": "<string>",
"is_active": true,
"zone_count": 123,
"zone_names": [
"<string>"
],
"token_id": "<string>",
"expires_on": "<string>",
"account_id": "<string>",
"account_name": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json